/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.html.parser.valueobject;

/**
 * HTMLパースで利用するアトリビュートをあらわすバリューオブジェクトです。
 */
public class BlancoHtmlAttribute {
    /**
     * フィールド [name]
     *
     * 項目の型 [java.lang.String]<br>
     * 属性のローカル名。
     */
    private String fName;

    /**
     * フィールド [value]
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の値。
     */
    private String fValue;

    /**
     * フィールド [quote]
     *
     * 項目の型 [int]<br>
     * 規定値   [2]<br>
     * 0:なし、1:シングルクオート、2:ダブルクオート
     */
    private int fQuote = 2;

    /**
     * フィールド [name]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性のローカル名。
     *
     * @param argName フィールド[name]に格納したい値
     */
    public void setName(final String argName) {
        fName = argName;
    }

    /**
     * フィールド[name]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性のローカル名。
     *
     * @return フィールド[name]に格納されている値
     */
    public String getName() {
        return fName;
    }

    /**
     * フィールド [value]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の値。
     *
     * @param argValue フィールド[value]に格納したい値
     */
    public void setValue(final String argValue) {
        fValue = argValue;
    }

    /**
     * フィールド[value]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の値。
     *
     * @return フィールド[value]に格納されている値
     */
    public String getValue() {
        return fValue;
    }

    /**
     * フィールド [quote]のセッターメソッド
     *
     * 項目の型 [int]<br>
     * 0:なし、1:シングルクオート、2:ダブルクオート
     *
     * @param argQuote フィールド[quote]に格納したい値
     */
    public void setQuote(final int argQuote) {
        fQuote = argQuote;
    }

    /**
     * フィールド[quote]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     * 規定値   [2]<br>
     * 0:なし、1:シングルクオート、2:ダブルクオート
     *
     * @return フィールド[quote]に格納されている値
     */
    public int getQuote() {
        return fQuote;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.html.parser.valueobject.BlancoHtmlAttribute[");
        buf.append("name=" + fName);
        buf.append(",value=" + fValue);
        buf.append(",quote=" + fQuote);
        buf.append("]");
        return buf.toString();
    }
}
